
Name: 		php-mcrypt
%if 0%{?centos_version} == 4
Version: 	4.3.9
%define php_major 4
%endif

%if 0%{?centos_version} == 5 || 0%{?rhel_version}
Version:	5.1.6
%define php_major 5
%endif

Release:	11.2
Group:		Development/Languages

Source:		php-mcrypt-%{version}.tar.bz2

URL: 		http://www.php.net/
License:	The PHP License
Packager:	VHCS Packager <vhcs@j0ke.net>

Summary:	PHP Extension Module

Requires:	libmcrypt
BuildRequires:	libmcrypt-devel php-devel gcc-c++

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PHP interface to the mcrypt library, which supports a wide variety of
block algorithms.

%prep
%setup -q
phpize

%configure

%{__make}

%install
%if  0%{?centos_version} == 4
%{__install} -D -m 755 modules/mcrypt.so $RPM_BUILD_ROOT%{_libdir}/php4/mcrypt.so
%endif

%if 0%{?centos_version} == 5 || 0%{?rhel_version}
%{__install} -D -m 755 modules/mcrypt.so $RPM_BUILD_ROOT%{_libdir}/php/modules/mcrypt.so
%endif
%{__install} -D -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/php.d
echo "# mcrypt extension" > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/mcrypt.ini
echo "extension=mcrypt.so" >> $RPM_BUILD_ROOT%{_sysconfdir}/php.d/mcrypt.ini

%files
%defattr(-,root,root)
%{_sysconfdir}/php.d/mcrypt.ini
%if 0%{?centos_version} == 4
%dir %{_libdir}/php4
%{_libdir}/php4/mcrypt.so
%endif

%if 0%{?centos_version} == 5 || 0%{?rhel_version}
%dir %{_libdir}/php/modules
%{_libdir}/php/modules/mcrypt.so
%endif
%clean

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

